FAXCONFIG(${MANNUM1_8})

NAME
faxconfig - dynamically change HylaFAX configuration parameters

SYNOPSIS
${SBIN}/faxconfig [ -q queue-dir ] [ -m modem ] [ parameter value ... ]

DESCRIPTION
faxconfig sends messages to a HylaFAX server process telling it to install new values for one or more configuration parameters. These new values are maintained only for as long as that server process executes; to setup long-lasting configuration parameters the appropriate configuration file(s) must be edited (see hylafax-config(${MANNUM4_5})).

faxconfig is especially useful for setting certain configuration parameters that control the operation of HylaFAX server processes. For example, by manipulating the ModemPriority parameter of one or more faxgetty(${MANNUM1_8}) processes it is easy to dynamically reconfigure the order in which HylaFAX will assign modems to outbound jobs.

If no modem is specified with the -m option, then faxconfig will send messages to the central scheduler process, faxq(${MANNUM1_8}). If a faxgetty process is to be contacted, the specified modem must be the last component of the character special device filename the modem is attached to.

Consult the hylafax-config(${MANNUM4_5}) for the list of configuration parameters that can be set with faxconfig.

OPTIONS
The following options are available:

-m devid
    Direct messages to the faxgetty process servicing devid instead of the central scheduler process, faxq. The devid is an identifier derived from the name of the modem's device file; for example ttym2 for /dev/ttym2, term_10 for /dev/term/10.

-q dir
    Use a spooling area other than ${SPOOL}.

FILES
${SPOOL}	default spooling area
${SPOOL}/FIFO	fifo for contacting faxq

Consult hylafax-server(${MANNUM4_5}) for a complete discussion of the structure and content of the spooling area.

SEE ALSO
hylafax-server(${MANNUM4_5}), faxmodem(${MANNUM1_8}), faxstate(${MANNUM1_8}), faxgetty(${MANNUM1_8}), faxq(${MANNUM1_8}), hylafax-config(${MANNUM4_5}).